### File

`packages/eui/packages/components-next/src/lib/components/eui-slide-toggle/eui-slide-toggle.component.ts`

### Extends

`BaseDirective`

### Implements

`ControlValueAccessor`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
providers | `{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => EuiSlideToggleComponent), multi: true, }`
selector | `eui-slide-toggle`
styleUrls | `./styles/index.scss`
templateUrl | `./eui-slide-toggle.component.html`

### Index

###### Properties
_disabled _isChecked Public slideToggleControl
###### Methods
Public onSlideChange Public registerOnChange Public registerOnTouched Public setDisabledState Public writeValue
###### Inputs
disabled id isChecked
###### Outputs
changed
###### HostBindings
class
###### Accessors
isChecked disabled

### Constructor

`constructor(cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
cd | `ChangeDetectorRef` | No

### Inputs

disabled

id
Type : `string`
Default value : ``eui-slide-toggle-${uniqueId()}``

isChecked

### Outputs

changed
Type : `EventEmitter`

### HostBindings

class

### Methods

Public onSlideChange
`onSlideChange(e: MatSlideToggleChange)`
Parameters :
Name | Type | Optional
e | `MatSlideToggleChange` | No
Returns : `void`

Public registerOnChange
`registerOnChange(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

Public registerOnTouched
`registerOnTouched(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

Public setDisabledState
`setDisabledState(isDisabled: boolean)`
Parameters :
Name | Type | Optional
isDisabled | `boolean` | No
Returns : `void`

Public writeValue
`writeValue(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

### Properties

_disabled
Default value : `false`

_isChecked
Default value : `false`

Public slideToggleControl
Default value : `new FormControl()`

### Accessors

isChecked
set `isChecked(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

disabled
set `disabled(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""